<%@ page language="java" pageEncoding="GB2312" contentType="text/html;charset=GB2312" %>
<%@ include file="/common/taglibs.jsp"%>
<html>
<head>
<link href='<c:url value="/sys/include/style.css"/>' type="text/css" rel="stylesheet">
<script language="javascript">
<!--
var isSubmit = false;
function checkForm(form) {
    if(form.oripassword.value == "" || form.oripassword.value == " ") {
		alert("原密码不能为空！");
		form.oripassword.focus();
		return false;
	}
	if(form.oripassword.value.length < 6) {
		alert("原密码长度不能小于6位！");
		form.oripassword.focus();
		return false;
	}
	if(form.oripassword.value.length > 20) {
		alert("原密码长度不能大于20位！");
		form.oripassword.focus();
		return false;
	}
	if(form.password.value == "" || form.password.value == " ") {
		alert("新密码不能为空！");
		form.password.focus();
		return false;
	}    
	if(form.password.value.length < 6) {
		alert("新密码长度不能小于6位！");
		form.password.focus();
		return false;
	}
	
	if(form.password.value.length > 20) {
		alert("新密码长度不能大于20位！");
		form.password.focus();
		return false;
	}
	if(form.confirmPassword.value == "" || form.confirmPassword.value == " ") {
		alert("确认新密码不能为空！");
		form.confirmPassword.focus();
		return false;
	}
	if(form.password.value != form.confirmPassword.value) {
		alert("新密码和确认新密码不同！");
		form.password.focus();
		return false;
	}
	if(!isSubmit) {
		isSubmit = true;
	    return true;
	}
}
function goPage(form) {
	form.action = '<c:url value="/sys/main.html"/>';
	form.onsubmit = "";
    form.submit();	
}
//-->
</script>
</head>
<body topmargin=0 leftmargin=0>
<table border=0 width="100%" cellspacing=0 cellpadding=0 height="100%">
<tr>
	<td id="midleft"></td>
	<td id="midright" valign=top>
		<!-- 主要内容 start -->
		<table cellpadding="0" cellspacing="0" align="center" width="100%" height="380" class="ltable">
		<html:form action="/sys/changeUserPassword.html" onsubmit="return checkForm(this);">
		<input type="hidden" name="method" value="changeUserPassword">
		<input type="hidden" name="change" value="change">
		<tr>
		<td class="menu" width="100%" align="center">
			<!-- 操作 start -->
			<table cellspacing="1" cellpadding="0" width="400" bgColor="#006699"  class=table align=center>
				<tr  class="td">
					<td colspan="2" align="center">&nbsp;修改密码&nbsp;<font color="red"><c:out value="${errorMsg}"/></font></td>
				</tr>
				<tr  class="td">
					<td width="20%" align="right">原密码：</td>
					<td width="80%" nowrap><input type="password" name="oripassword" class="input_text" style="width:70%"  maxlength="20"/><font color="red">*</font>6-20位</td>
				</tr>
				<tr  class="td">
					<td width="20%" align="right">新密码：</td>
					<td width="80%" nowrap><html:password property="password" styleClass="input_text" style="width:70%" maxlength="20"/><font color="red">*</font>6-20位</td>
				</tr>
				<tr  class="td"">
					<td width="20%" align="right">确认新密码：</td>
					<td width="80%"><html:password property="confirmPassword" styleClass="input_text" style="width:70%"  maxlength="20"/><font color="red">*</font></td>
				</tr>
				<tr  class="td">
					<td colspan="2" align="center" valign="middle">
						<input type="submit" style="width:60px" class ="button" value=" 确定 " <c:if test="${isGuest}">disabled</c:if>> 
						<input type="button" style="width:60px" class ="button" value=" 取消 " onclick="goPage(this.form);">
					</td>
				</tr>
			</table>
			<!-- 操作 end -->
		</td>
		</tr>
		</html:form>
		</table>
		<!-- 主要内容 end -->
	</td>
</tr>
</body>
</html>